package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_STRAIGH_RACK所对应的实体类（生成工具：代码生成器2.4）
 * @author ZJAY-PC   date 2015-12-23
 */
public class MilStraighRackEntity {
    /**
     * 下线工序(1-矫直 2-探伤 3-最终下线)
     */
    private String offlineProcess;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 炉批行号
     */
    private String simpleGroupNo;
    /**
     * 交班标识 （0-正常 1-交班点）
     */
    private String changeFlag;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 状态(0-正常轧制 1-剔除 3-下线)
     */
    private String status;
    /**
     * 成品管外径
     */
    private String ftubeDiameter;
    /**
     * 成品管壁厚
     */
    private String ftubeWallThickness;
    /**
     * 成品管长度
     */
    private String ftubeLength;
    /**
     * 矫直开始时间
     */
    private String startStraighteningTime;
    /**
     * 矫直结束时间
     */
    private String endStraighteningTime;
    /**
     * 下线标识(0-未下线 1-下线2-返线)
     */
    private String offlineFlag;
    /**
     * 下线时间
     */
    private String offlineTime;
    /**
     * 跟队标识(0-未跟队 1-跟队)
     */
    private String followFlag;
    /**
     * 跟队炉号
     */
    private String followHeatNo;
    /**
     * 跟队时间
     */
    private String followTime;
    /**
     * 组炉标识(0,未组炉 1-组炉)
     */
    private String groupFlag;
    /**
     * 组炉前炉号
     */
    private String beforeHeatNo;
    /**
     * 组炉前物料号
     */
    private String beforeMatNo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 序号
     */
    private String seq;
    /**
     * 操作台号(1-1#操作台 2-2#操作台 3-3#操作台)
     */
    private String colNo;
    /**
     * 剔除时间
     */
    private String scrapTime;
    /**
     * 返线时间
     */
    private String backlineTime;
    /**
     * 子管长度
     */
    private String pipeLength ;

    public MilStraighRackEntity(){
    	pipeLength="";
        offlineProcess = "";
        resultNo = "";
        simpleGroupNo = "";
        changeFlag = "";
        matNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        plineCode = "";
        status = "";
        ftubeDiameter = "";
        ftubeWallThickness = "";
        ftubeLength = "";
        startStraighteningTime = "";
        endStraighteningTime = "";
        offlineFlag = "";
        offlineTime = "";
        followFlag = "";
        followHeatNo = "";
        followTime = "";
        groupFlag = "";
        beforeHeatNo = "";
        beforeMatNo = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        seq = "";
        colNo = "";
        scrapTime = "";
        backlineTime = "";
    }

    /**
     * 下线工序(1-矫直 2-探伤 3-最终下线)
     * @return value
     */
    public String getOfflineProcess() {
        return offlineProcess;
    }

    /**
     * 下线工序(1-矫直 2-探伤 3-最终下线)
     * @param offlineProcess value
     */
    public void setOfflineProcess(String offlineProcess) {
        this.offlineProcess = offlineProcess;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉批行号
     * @return value
     */
    public String getSimpleGroupNo() {
        return simpleGroupNo;
    }

    /**
     * 炉批行号
     * @param simpleGroupNo value
     */
    public void setSimpleGroupNo(String simpleGroupNo) {
        this.simpleGroupNo = simpleGroupNo;
    }

    /**
     * 交班标识 （0-正常 1-交班点）
     * @return value
     */
    public String getChangeFlag() {
        return changeFlag;
    }

    /**
     * 交班标识 （0-正常 1-交班点）
     * @param changeFlag value
     */
    public void setChangeFlag(String changeFlag) {
        this.changeFlag = changeFlag;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态(0-正常轧制 1-剔除 3-下线)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(0-正常轧制 1-剔除 3-下线)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 成品管外径
     * @return value
     */
    public String getFtubeDiameter() {
        return ftubeDiameter;
    }

    /**
     * 成品管外径
     * @param ftubeDiameter value
     */
    public void setFtubeDiameter(String ftubeDiameter) {
        this.ftubeDiameter = ftubeDiameter;
    }

    /**
     * 成品管壁厚
     * @return value
     */
    public String getFtubeWallThickness() {
        return ftubeWallThickness;
    }

    /**
     * 成品管壁厚
     * @param ftubeWallThickness value
     */
    public void setFtubeWallThickness(String ftubeWallThickness) {
        this.ftubeWallThickness = ftubeWallThickness;
    }

    /**
     * 成品管长度
     * @return value
     */
    public String getFtubeLength() {
        return ftubeLength;
    }

    /**
     * 成品管长度
     * @param ftubeLength value
     */
    public void setFtubeLength(String ftubeLength) {
        this.ftubeLength = ftubeLength;
    }

    /**
     * 矫直开始时间
     * @return value
     */
    public String getStartStraighteningTime() {
        return startStraighteningTime;
    }

    /**
     * 矫直开始时间
     * @param startStraighteningTime value
     */
    public void setStartStraighteningTime(String startStraighteningTime) {
        this.startStraighteningTime = startStraighteningTime;
    }

    /**
     * 矫直结束时间
     * @return value
     */
    public String getEndStraighteningTime() {
        return endStraighteningTime;
    }

    /**
     * 矫直结束时间
     * @param endStraighteningTime value
     */
    public void setEndStraighteningTime(String endStraighteningTime) {
        this.endStraighteningTime = endStraighteningTime;
    }

    /**
     * 下线标识(0-未下线 1-下线2-返线)
     * @return value
     */
    public String getOfflineFlag() {
        return offlineFlag;
    }

    /**
     * 下线标识(0-未下线 1-下线2-返线)
     * @param offlineFlag value
     */
    public void setOfflineFlag(String offlineFlag) {
        this.offlineFlag = offlineFlag;
    }

    /**
     * 下线时间
     * @return value
     */
    public String getOfflineTime() {
        return offlineTime;
    }

    /**
     * 下线时间
     * @param offlineTime value
     */
    public void setOfflineTime(String offlineTime) {
        this.offlineTime = offlineTime;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @return value
     */
    public String getFollowFlag() {
        return followFlag;
    }

    /**
     * 跟队标识(0-未跟队 1-跟队)
     * @param followFlag value
     */
    public void setFollowFlag(String followFlag) {
        this.followFlag = followFlag;
    }

    /**
     * 跟队炉号
     * @return value
     */
    public String getFollowHeatNo() {
        return followHeatNo;
    }

    /**
     * 跟队炉号
     * @param followHeatNo value
     */
    public void setFollowHeatNo(String followHeatNo) {
        this.followHeatNo = followHeatNo;
    }

    /**
     * 跟队时间
     * @return value
     */
    public String getFollowTime() {
        return followTime;
    }

    /**
     * 跟队时间
     * @param followTime value
     */
    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getBeforeHeatNo() {
        return beforeHeatNo;
    }

    /**
     * 组炉前炉号
     * @param beforeHeatNo value
     */
    public void setBeforeHeatNo(String beforeHeatNo) {
        this.beforeHeatNo = beforeHeatNo;
    }

    /**
     * 组炉前物料号
     * @return value
     */
    public String getBeforeMatNo() {
        return beforeMatNo;
    }

    /**
     * 组炉前物料号
     * @param beforeMatNo value
     */
    public void setBeforeMatNo(String beforeMatNo) {
        this.beforeMatNo = beforeMatNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 操作台号(1-1#操作台 2-2#操作台 3-3#操作台)
     * @return value
     */
    public String getColNo() {
        return colNo;
    }

    /**
     * 操作台号(1-1#操作台 2-2#操作台 3-3#操作台)
     * @param colNo value
     */
    public void setColNo(String colNo) {
        this.colNo = colNo;
    }

    /**
     * 剔除时间
     * @return value
     */
    public String getScrapTime() {
        return scrapTime;
    }

    /**
     * 剔除时间
     * @param scrapTime value
     */
    public void setScrapTime(String scrapTime) {
        this.scrapTime = scrapTime;
    }

    /**
     * 返线时间
     * @return value
     */
    public String getBacklineTime() {
        return backlineTime;
    }

    /**
     * 返线时间
     * @param backlineTime value
     */
    public void setBacklineTime(String backlineTime) {
        this.backlineTime = backlineTime;
    }
    /**
     * 子管长度
     * @return value
     */
    public String getPipeLength() {
        return pipeLength;
    }

    /**
     * 子管长度
     * @param pipeLength value
     */
    public void setPipeLength(String pipeLength) {
        this.pipeLength = pipeLength;
    }
}
